Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2BehaviorControl Class Reference

Base class for all BehaviorControl solutions that use a Xabsl2Engine. More...

`#include <Xabsl2BehaviorControl.h>`

Inheritance diagram for Xabsl2BehaviorControl:

[legend]
Collaboration diagram for Xabsl2BehaviorControl:

[legend]
List of all members.

## Public Member Functions
| Xabsl2BehaviorControl (const BehaviorControlInterfaces &interfaces, SolutionRequest::xabsl2EngineID id)
| Constructor.
| ~Xabsl2BehaviorControl ()
| destructor
virtual bool | handleMessage (InMessage &message)
| Is called for every incoming debug message.
## Protected Member Functions
virtual void | executeIfEngineCouldNotBeCreated ()
| Is called if the engine could not be created.
virtual void | printGeneratedMainActionToString (char *buf)
| Prints the main action that was generated by the execution of the engine to a string.

## Detailed Description

Base class for all BehaviorControl solutions that use a Xabsl2Engine.

Author:
  Matthias Jüngel

  Martin Lötzsch

Definition at line 25 of file Xabsl2BehaviorControl.h.

## Constructor & Destructor Documentation

Xabsl2BehaviorControl::Xabsl2BehaviorControl | ( | const BehaviorControlInterfaces & | interfaces,
|  | SolutionRequest::xabsl2EngineID | id
| ) |

  | Constructor. Parameters:
  interfaces | The paramters of the BehaviorControl module.
  id | The id of the Xabsl2Engine.
Definition at line 16 of file Xabsl2BehaviorControl.cpp.

Xabsl2BehaviorControl::~Xabsl2BehaviorControl | ( |  | ) | `[inline]`

| destructor Definition at line 37 of file Xabsl2BehaviorControl.h.

## Member Function Documentation

bool Xabsl2BehaviorControl::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Is called for every incoming debug message. Parameters:
  message | An interface to read the message from the queue
Returns: if the messag was read Reimplemented from GTXabsl2EngineExecutor. Reimplemented in GT2005BehaviorControl. Definition at line 35 of file Xabsl2BehaviorControl.cpp. References GTXabsl2EngineExecutor::handleMessage(). Referenced by GT2005BehaviorControl::handleMessage().

Here is the call graph for this function:

void Xabsl2BehaviorControl::executeIfEngineCouldNotBeCreated | ( |  | ) | `[protected, virtual]`

| Is called if the engine could not be created. Implements GTXabsl2EngineExecutor. Definition at line 24 of file Xabsl2BehaviorControl.cpp. References MotionRequest::motionType, MotionRequest::specialActionRequest, and SpecialActionRequest::specialActionType.

void Xabsl2BehaviorControl::printGeneratedMainActionToString | ( | char * | buf | ) | `[protected, virtual]`

  | Prints the main action that was generated by the execution of the engine to a string. Parameters:
  buf | the string where to print the action
Implements GTXabsl2EngineExecutor. Definition at line 30 of file Xabsl2BehaviorControl.cpp. References MotionRequest::printOut().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/Xabsl2BehaviorControl.h
- Modules/BehaviorControl/Xabsl2BehaviorControl.cpp